v_voip_decap: XDecap Struct Reference

| v_voip_decap Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDecap Struct Reference

The XDecap driver instance data. More...

## Data Fields
XDecap_Config | Config
| Hardware Configuration. More...
u32 | IsReady
    Core and the driver instance
are initialized More...
XDecap_Callback | PacketLockCallback
    Callback for Packet lock event
interrupt More...
void * | PacketLockRef
| To be passed to the connect interrupt callback. More...
u32 | IsPacketLockCallbackSet
| Set flag. More...
XDecap_Callback | PacketUnLockCallback
    Callback for Packet unlock
event interrupt More...
void * | PacketUnLockRef
| To be passed to the connect interrupt callback. More...
u32 | IsPacketUnLockCallbackSet
| Set flag. More...
XDecap_Callback | PacketStopCallback
    Callback for Packet Stop event
interrupt More...
void * | PacketStopRef
| To be passed to the connect interrupt callback. More...
u32 | IsPacketStopCallbackSet
| Set flag. More...

## Detailed Description

The XDecap driver instance data.

An instance must be allocated for each VoIP Decapsulator core in use.

## Field Documentation

XDecap_Config XDecap::Config

Hardware Configuration.

Referenced by XDecap_CfgInitialize(), XDecap_ChannelClearStatistic(), XDecap_ChIntr(), XDecap_ChStatus(), XDecap_ClearGeneralStatistic(), XDecap_ControlChannelEn(), XDecap_ControlMPktDetEn(), XDecap_ControlMPktDropEn(), XDecap_CoreInfo(), XDecap_DisablePacketStopIntr(), XDecap_DisableVideoLockIntr(), XDecap_DisableVideoUnLockIntr(), XDecap_DropPcktCnt(), XDecap_EnablePacketStopIntr(), XDecap_EnableVideoLockIntr(), XDecap_EnableVideoUnLockIntr(), XDecap_FECValidPcktCnt(), XDecap_IntrClear(), XDecap_MatchIPv4Dest(), XDecap_MatchIPv4Src(), XDecap_MatchSSRC(), XDecap_MatchUDPDest(), XDecap_MatchUDPSrc(), XDecap_MatchVLANID(), XDecap_MediaValidPcktCnt(), XDecap_ModuleEn(), XDecap_PacketLockWindow(), XDecap_PacketStopTimer(), XDecap_PacketUnLockWindow(), XDecap_PeakBufferLv(), XDecap_ReOrderedPcktCnt(), XDecap_SDIPacketLockStatus(), XDecap_SetMatchSelect(), XDecap_SetOperationMode(), XDecap_StreamStat(), XDecap_StreamStopIntrStatus(), XDecap_ToMatchVLANID(), XDecap_VideoLockIntrStatus(), and XDecap_VideoUnLockIntrStatus().

u32 XDecap::IsPacketLockCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XDecap_CfgInitialize(), XDecap_IntrHandler(), and XDecap_SetCallback().

u32 XDecap::IsPacketStopCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XDecap_CfgInitialize(), and XDecap_SetCallback().

u32 XDecap::IsPacketUnLockCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XDecap_CfgInitialize(), XDecap_IntrHandler(), and XDecap_SetCallback().

u32 XDecap::IsReady

    Core and the driver instance

are initialized

Referenced by XDecap_CfgInitialize(), and XDecap_IntrHandler().

XDecap_Callback XDecap::PacketLockCallback

    Callback for Packet lock event

interrupt

Referenced by XDecap_CfgInitialize(), and XDecap_SetCallback().

void* XDecap::PacketLockRef

To be passed to the connect interrupt callback.

Referenced by XDecap_SetCallback().

XDecap_Callback XDecap::PacketStopCallback

    Callback for Packet Stop event

interrupt

Referenced by XDecap_CfgInitialize(), and XDecap_SetCallback().

void* XDecap::PacketStopRef

To be passed to the connect interrupt callback.

Referenced by XDecap_SetCallback().

XDecap_Callback XDecap::PacketUnLockCallback

    Callback for Packet unlock

event interrupt

Referenced by XDecap_CfgInitialize(), and XDecap_SetCallback().

void* XDecap::PacketUnLockRef

To be passed to the connect interrupt callback.

Referenced by XDecap_SetCallback().